#pragma once
#include <string>
#include <vector>
#include <memory>

struct test_scaffold{
	std::string name;
	virtual int run() = 0;
	virtual ~test_scaffold() = default;
};

std::vector<std::unique_ptr<test_scaffold>> tests;

struct append_test {
	append_test(test_scaffold* ptr) {
		tests.emplace_back(ptr);
	}
};